#define _CRT_SECURE_NO_WARNINGS
#define _SILENCE_CXX17_C_HEADER_DEPRECATION_WARNING
#include <bits/stdc++.h>
using namespace std;
const int N = 1 << 20;
char buf[N];
int main()
{
    scanf("%s", buf);
    int len = strlen(buf);
    bool flag = false;
    putchar(buf[0]);
    for (int i = 1; i < len;)
        if (memcmp(buf + i, "dot", 3) == 0 && i + 3 < len)
            putchar('.'), i += 3;
        else if (!flag && memcmp(buf + i, "at", 2) == 0 && i + 2 < len)
            putchar('@'), i += 2, flag = true;
        else
            putchar(buf[i]), i++;
    return 0;
}
